@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";

@import "~@/assets/css/components/index.css";
@import "~@/assets/css/transitions.css";

@import url('https://fonts.googleapis.com/css2?family=PT+Sans&display=swap');

@layer base {
    @font-face {
        font-family: 'Campton-Book';
        src: url('~@/assets/fonts/Campton/Campton-Book.eot');
        src: local('Campton-Book'),
        url('~@/assets/fonts/Campton/Campton-Book.eot?#iefix') format('embedded-opentype'),
        url('~@/assets/fonts/Campton/Campton-Book.woff') format('woff'),
        url('~@/assets/fonts/Campton/Campton-Book.ttf') format('truetype');
        font-weight: normal;
        font-style: normal;
    }

    @font-face {
        font-family: 'Campton';
        src: url('~@/assets/fonts/Campton/Campton-SemiBold.eot');
        src: local('Campton-SemiBold'),
        url('~@/assets/fonts/Campton/Campton-SemiBold.eot?#iefix') format('embedded-opentype'),
        url('~@/assets/fonts/Campton/Campton-SemiBold.woff') format('woff'),
        url('~@/assets/fonts/Campton/Campton-SemiBold.ttf') format('truetype');
        font-weight: 600;
        font-style: normal;
    }

    @font-face {
        font-family: 'Campton';
        src: url('~@/assets/fonts/Campton/Campton-Bold.eot');
        src: local('Campton-Bold'),
        url('~@/assets/fonts/Campton/Campton-Bold.eot?#iefix') format('embedded-opentype'),
        url('~@/assets/fonts/Campton/Campton-Bold.woff') format('woff'),
        url('~@/assets/fonts/Campton/Campton-Bold.ttf') format('truetype');
        font-weight: bold;
        font-style: normal;
    }

    @font-face {
        font-family: 'Campton';
        src: url('~@/assets/fonts/Campton/Campton-Medium.eot');
        src: local('Campton-Medium'),
        url('~@/assets/fonts/Campton/Campton-Medium.eot?#iefix') format('embedded-opentype'),
        url('~@/assets/fonts/Campton/Campton-Medium.woff') format('woff'),
        url('~@/assets/fonts/Campton/Campton-Medium.ttf') format('truetype');
        font-weight: 500;
        font-style: normal;
    }

    h1, .h1 {
        @apply text-xl font-bold
    }
}

@layer components {
    .quiz-choices {
        @apply grid gap-y-3 mb-7
    }

    .input-error-msg {
        @apply mt-2 text-xs text-red-light
    }

    .ta-input {
        @apply rounded-lg p-5 bg-white border border-grey-darker resize-none w-full outline-none focus:border-black h-44;
    }

    .info-badge {
        @apply bg-red px-3 py-1 text-white text-xs
    }
}
